unit dSteemaExample;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs, FMX.Controls.Presentation, FMX.StdCtrls,
  FMXTee.Grid, Tee.GridData.Strings, FMXTee.Painter;

type
  TForm1 = class(TForm)
    pnlTest: TPanel;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    FLineGrid: TTeeGrid;
    FMyData : TStringsData;
    procedure CreateGrid;
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.CreateGrid;
var
  I: Integer;
begin
  FLineGrid := TTeeGrid.Create(pnlTest);
  FLineGrid.Parent   := pnlTest;
  FLineGrid.Align    := TAlignLayout.Client;
  FLineGrid.Indicator.Visible := False;
  FLineGrid.Back.Brush.Color := $FF404040;
  FLineGrid.Header.Format.Brush.Gradient.Hide;
  FLineGrid.Header.Format.Brush.Color := FLineGrid.Back.Brush.Color;
  FLineGrid.BeginUpdate;
  FMyData := TStringsData.Create(50, 10);
  FLineGrid.Data:= FMyData;

  for I := 0 to 49 do
    FLineGrid.Columns[I].Header.Text := IntToStr(I);

  FLineGrid.EndUpdate;
  FLineGrid.Repaint;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  FreeAndNil(FLineGrid);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  CreateGrid;
end;

end.
